package org.project.entity.enemies;

import org.project.entity.Entity;
import org.project.item.armors.EnemyArmor;
import org.project.item.weapons.DragonWepon;
import org.project.item.weapons.Weapon;

public class Dragon extends Enemy{


    public Dragon(){
        super(200 , 50 , new DragonWepon() , new EnemyArmor());
    }


    public void specialAbility(Entity target){
        target.getArmor().brokeArmor();
        System.out.println(toString()+"\uD83D\uDD25  FIRE!!  special ability" );
        target.takeDamage(2 * weapon.getDamage());


    }

    public String toString(){
        return "\uD83D\uDC09 Dragon";
    }
}
